function setWeather () {
    var url="http://weather.yahooapis.com/forecastrss?p=JAXX0005&u=c";
	var httpRequest = new XMLHttpRequest();

	httpRequest.open("GET", url);
	httpRequest.overrideMimeType("text/xml");
    httpRequest.setRequestHeader('Cache-Control', 'no-cache'); 
	httpRequest.send(null); 
	httpRequest.onload = function() {xml_responded(httpRequest);}
}

function findChild (element, nodeName){
	var child;
	
	for (child = element.firstChild; child != null; child = child.nextSibling){
		if (child.nodeName == nodeName) return child;
	}
	
	return null;
}

function xml_responded (request) {
    var elm_channel = findChild(findChild(request.responseXML, "rss"), "channel");
    var elm_yweather_location = findChild(elm_channel, "yweather:location");
    var elm_city = elm_yweather_location.getAttribute("city");
    document.getElementById("city").innerText = elm_city;


    var tag_forecast = request.responseXML.getElementsByTagName("forecast");
    document.getElementById("day0").innerText = tag_forecast(0).getAttribute("day");
    document.getElementById("day1").innerText = tag_forecast(1).getAttribute("day");
    document.getElementById("desc0").innerText = tag_forecast(0).getAttribute("text");
	document.getElementById("desc1").innerText = tag_forecast(1).getAttribute("text");
    document.getElementById("hi0").innerText = tag_forecast(0).getAttribute("high");
    document.getElementById("hi1").innerText = tag_forecast(1).getAttribute("high");
    document.getElementById("lo0").innerText = tag_forecast(0).getAttribute("low");
    document.getElementById("lo1").innerText = tag_forecast(1).getAttribute("low");
}
